std::shared_lock< _Mutex >(3cxx)

NAME
std::shared_lock< _Mutex >

SYNOPSIS

  Public Types

typedef _Mutex mutex_type

  Public Member Functions

shared_lock (mutex_type &__m)
shared_lock (mutex_type &__m, defer_lock_t) noexcept
shared_lock (mutex_type &__m, try_to_lock_t)
shared_lock (mutex_type &__m, adopt_lock_t)
template<typename _Clock , typename _Duration > shared_lock (mutex_type &__m, const chrono::time_point< _Clock, _Duration > &__abs_time)
template<typename _Rep , typename _Period > shared_lock (mutex_type &__m, const chrono::duration< _Rep, _Period > &__rel_time)
shared_lock (shared_lock const &)=delete
shared_lock (shared_lock &&__sl) noexcept
void lock ()
mutex_type * mutex () const noexcept
operator bool () const noexcept
shared_lock & operator= (shared_lock const &)=delete
shared_lock & operator= (shared_lock &&__sl) noexcept
bool owns_lock () const noexcept
mutex_type * release () noexcept
void swap (shared_lock &__u) noexcept
bool try_lock ()
template<typename _Rep , typename _Period > bool try_lock_for (const chrono::duration< _Rep, _Period > &__rel_time)
template<typename _Clock , typename _Duration > bool try_lock_until (const chrono::time_point< _Clock, _Duration > &__abs_time)
void unlock ()

Detailed Description

  template<typename _Mutex>
class std::shared_lock< _Mutex >" shared_lock

Definition at line 464 of file shared_mutex.

Author

Generated automatically by Doxygen for libstdc++ from the source code.